QGIS Crashes when digitizing
Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.18.22 Regression?: No

Operating System: Win7 / 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27507

Description

Every time I cut an object, a crash dump appears.

When that dump occurs, everything you work on is blown away.

When debugging, it seems that qgis-core.dll does not handle exceptions.

The exception information is..

'The thread tried to read from or write to a virtual address for which it does not have the appropriate access.'

Personally, there seems to be a problem with memory access in qgis-core.dll.

History

#1 - 2018-08-25 03:29 PM - Giovanni Manghi

- Resolution deleted (invalid)

- Status changed from Open to Feedback

- Category changed from Unknown to Digitising

- Subject changed from QGIS_Crashing Dump to QGIS Crashes when digitizing

Please attach the offending data and list the exact/detailed steps to do and that lead to the crash.

Also try the same operation on the latest 3.2.* release.

#2 - 2019-01-21 12:35 AM - Jürgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-11 12:22 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
